Skip to main content
POST
/
mdts
/
{mdtId}
/
tickets
Create a ticket
curl --request POST \
  --url https://api.northca.dev/v1/mdts/{mdtId}/tickets \
  --header 'Content-Type: application/json' \
  --header 'x-discord-guild: <x-discord-guild>' \
  --header 'x-partner-key: <api-key>' \
  --data '
{
  "title": "Tow request",
  "description": "Vehicle disabled, needs tow.",
  "officer_name": "B. Bubbleton",
  "officer_callsign": "ADAM-12",
  "status": "open",
  "priority": "low"
}
'
{
  "ok": true,
  "data": {
    "id": "<string>",
    "mdt_code": "<string>",
    "title": "<string>",
    "description": "<string>",
    "officer_name": "<string>",
    "officer_badge": "<string>",
    "officer_callsign": "<string>",
    "status": "<string>",
    "priority": "<string>",
    "created_by_discord_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-partner-key
string
header
required

Partner API key provided by Northca.

Headers

x-discord-guild
string
required

Discord Guild ID (server/guild context for the request).

x-discord-actor
string

Discord User ID for the acting user (optional; used for audit fields).

Path Parameters

mdtId
string
required

MDT ID.

Body

application/json
id
string

Optional. If not provided, the server generates an ID.

title
string | null
description
string | null
officer_name
string | null
officer_badge
string | null
officer_callsign
string | null
status
string | null

Optional. Defaults to "open".

priority
string | null

Response

Created ticket.

ok
boolean
required
data
object
required

Unit ticket record.